<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3039
Name: Klinische Parameter
Description: Klinische Parameter
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3039-2014-11-01T000000">
   <title>Klinische Parameter</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]
Item: (ClinicalInformation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]
Item: (ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]"
         id="d20e339-false-d432e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(ClinicalInformation): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(ClinicalInformation): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3039']) &gt;= 1">(ClinicalInformation): Element hl7:templateId[@root = '1.2.276.0.76.10.3039'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3039']) &lt;= 1">(ClinicalInformation): Element hl7:templateId[@root = '1.2.276.0.76.10.3039'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="count(hl7:code[(@code = '55752-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(ClinicalInformation): Element hl7:code[(@code = '55752-0' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="count(hl7:code[(@code = '55752-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(ClinicalInformation): Element hl7:code[(@code = '55752-0' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(ClinicalInformation): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(ClinicalInformation): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(ClinicalInformation): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(ClinicalInformation): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]) &lt;= 1">(ClinicalInformation): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4017']]]) &lt;= 1">(ClinicalInformation): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4017']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]/hl7:templateId[@root = '1.2.276.0.76.10.3039']
Item: (ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]/hl7:templateId[@root = '1.2.276.0.76.10.3039']"
         id="d20e345-false-d500e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalInformation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="string(@root) = ('1.2.276.0.76.10.3039')">(ClinicalInformation): Der Wert von root MUSS '1.2.276.0.76.10.3039' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]/hl7:code[(@code = '55752-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]/hl7:code[(@code = '55752-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e350-false-d515e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalInformation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="@nullFlavor or (@code='55752-0' and @codeSystem='2.16.840.1.113883.6.1')">(ClinicalInformation): Der Elementinhalt MUSS einer von 'code '55752-0' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]/hl7:title[not(@nullFlavor)]
Item: (ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]/hl7:title[not(@nullFlavor)]"
         id="d20e355-false-d531e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalInformation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="text()='Klinische Parameter'">(ClinicalInformation): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Klinische Parameter'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]/hl7:text[not(@nullFlavor)]
Item: (ClinicalInformation)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]/hl7:text[not(@nullFlavor)]"
         id="d20e362-false-d545e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ClinicalInformation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]
Item: (ClinicalInformation)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="string(@typeCode) = ('DRIV')">(ClinicalInformation): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3039
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4017']]]
Item: (ClinicalInformation)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3039']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4017']]]">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.3039-2014-11-01T000000.html"
              test="string(@typeCode) = ('DRIV')">(ClinicalInformation): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
