<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4016
Name: Körpergewicht
Description: Körpergewicht
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4016-2014-11-01T000000">
   <title>Körpergewicht</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]
Item: (BodyWeight)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]"
         id="d20e713-false-d1357e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="string(@classCode) = ('OBS')">(BodyWeight): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="string(@moodCode) = ('EVN')">(BodyWeight): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4016']) &gt;= 1">(BodyWeight): Element hl7:templateId[@root = '1.2.276.0.76.10.4016'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4016']) &lt;= 1">(BodyWeight): Element hl7:templateId[@root = '1.2.276.0.76.10.4016'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:code[(@code = '29463-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(BodyWeight): Element hl7:code[(@code = '29463-7' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:code[(@code = '29463-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(BodyWeight): Element hl7:code[(@code = '29463-7' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:text) &lt;= 1">(BodyWeight): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(BodyWeight): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(BodyWeight): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(BodyWeight): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:value) &gt;= 1">(BodyWeight): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:value) &lt;= 1">(BodyWeight): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:templateId[@root = '1.2.276.0.76.10.4016']
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:templateId[@root = '1.2.276.0.76.10.4016']"
         id="d20e719-false-d1425e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="string(@root) = ('1.2.276.0.76.10.4016')">(BodyWeight): Der Wert von root MUSS '1.2.276.0.76.10.4016' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:id
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:id"
         id="d20e724-false-d1439e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:code[(@code = '29463-7' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:code[(@code = '29463-7' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e726-false-d1450e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="@nullFlavor or (@code='29463-7' and @codeSystem='2.16.840.1.113883.6.1')">(BodyWeight): Der Elementinhalt MUSS einer von 'code '29463-7' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:text
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:text"
         id="d20e732-false-d1466e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:reference) &gt;= 1">(BodyWeight): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="count(hl7:reference) &lt;= 1">(BodyWeight): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:text/hl7:reference
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:text/hl7:reference"
         id="d20e737-false-d1485e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:statusCode[@code = 'completed']
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:statusCode[@code = 'completed']"
         id="d20e740-false-d1496e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="@nullFlavor or (@code='completed')">(BodyWeight): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:effectiveTime
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:effectiveTime"
         id="d20e745-false-d1512e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="not(*)">(BodyWeight): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4016
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:value
Item: (BodyWeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4016']]/hl7:value"
         id="d20e747-false-d1525e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyWeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="(@nullFlavor or (@unit='kg'))">(BodyWeight): value MUSS die Einheit 'kg' nutzen </assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(BodyWeight): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4016-2014-11-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(BodyWeight): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
