<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.27.10.13
Name: Hauskomet Pflegearzt (Patientenbezogen)
Description: 
                 Der Arzt, der sich als zuständig für die Pflege der Hauskomet Medikationsinformation und Stammdaten des Patienten erklärt (im Standardfall ist dieser personenidentisch mit dem HZV-Betreuarzt).  Der Hauskomet-Pflegearzt muss Gesamtvertragsteilnehmer sein, da dessen Betriebsstätte über Änderungen an der Hauskomet Medikationsinformation benachrichtigt wird.  
                 Im Rahmen der Stellvertreterregelung der HZV können auch nicht vertragsteilnehmende Ärzte Leistungen im Rahmen von Hauskomet erbringen, diese Leistungen sind jedoch durch die Vertragsssoftware dem Hauskomet-Pflegearzt zuzuordnen. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000">
   <title>Hauskomet Pflegearzt (Patientenbezogen)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.13
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]
Item: (Hauskometkuratorheader)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.13
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]
Item: (Hauskometkuratorheader)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]"
         id="d20e3908-false-d15011e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="string(@typeCode) = ('VRF')">(Hauskometkuratorheader): Der Wert von typeCode MUSS 'VRF' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(Hauskometkuratorheader): Der Wert von contextControlCode MUSS 'OP' sein. Gefunden: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']) &gt;= 1">(Hauskometkuratorheader): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']) &lt;= 1">(Hauskometkuratorheader): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="count(hl7:time) &lt;= 1">(Hauskometkuratorheader): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="count(hl7:associatedEntity[hl7:scopingOrganization]) &gt;= 1">(Hauskometkuratorheader): Element hl7:associatedEntity[hl7:scopingOrganization] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="count(hl7:associatedEntity[hl7:scopingOrganization]) &lt;= 1">(Hauskometkuratorheader): Element hl7:associatedEntity[hl7:scopingOrganization] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.13
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']
Item: (Hauskometkuratorheader)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']"
         id="d20e3914-false-d15054e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hauskometkuratorheader): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.27.10.13')">(Hauskometkuratorheader): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.27.10.13' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.13
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:time
Item: (Hauskometkuratorheader)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:time"
         id="d20e3919-false-d15068e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hauskometkuratorheader): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.13
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]
Item: (Hauskometkuratorheader)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]"
         id="d20e3921-false-d15081e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="string(@classCode) = ('ASSIGNED') or not(@classCode)">(Hauskometkuratorheader): Der Wert von classCode MUSS 'ASSIGNED' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="count(hl7:id) &gt;= 1">(Hauskometkuratorheader): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="count(hl7:id) &lt;= 1">(Hauskometkuratorheader): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="count(hl7:scopingOrganization[not(@nullFlavor)]) &gt;= 1">(Hauskometkuratorheader): Element hl7:scopingOrganization[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="count(hl7:scopingOrganization[not(@nullFlavor)]) &lt;= 1">(Hauskometkuratorheader): Element hl7:scopingOrganization[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.13
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]/hl7:id
Item: (Hauskometkuratorheader)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]/hl7:id"
         id="d20e3956-false-d15116e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hauskometkuratorheader): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.13
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]/hl7:associatedPerson
Item: (Hauskometkuratorheader)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]/hl7:associatedPerson
Item: (PersonElements)
-->
   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]/hl7:associatedPerson">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(PersonElements): Der Wert von classCode MUSS 'PSN' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(PersonElements): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(PersonElements): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(PersonElements): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.90010
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]/hl7:associatedPerson/hl7:name[not(@nullFlavor)]
Item: (PersonElements)
-->
   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]/hl7:associatedPerson/hl7:name[not(@nullFlavor)]">
      <extends rule="PN"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.90010-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.13
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]/hl7:scopingOrganization[not(@nullFlavor)]
Item: (Hauskometkuratorheader)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]/hl7:scopingOrganization[not(@nullFlavor)]"
         id="d20e3983-false-d15178e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="string(@classCode) = ('ORG') or not(@classCode)">(Hauskometkuratorheader): Der Wert von classCode MUSS 'ORG' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(Hauskometkuratorheader): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(Hauskometkuratorheader): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="count(hl7:id[not(@nullFlavor)]) &lt;= 1">(Hauskometkuratorheader): Element hl7:id[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="count(hl7:name) &lt;= 1">(Hauskometkuratorheader): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.13
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]/hl7:scopingOrganization[not(@nullFlavor)]/hl7:id[not(@nullFlavor)]
Item: (Hauskometkuratorheader)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]/hl7:scopingOrganization[not(@nullFlavor)]/hl7:id[not(@nullFlavor)]"
         id="d20e4000-false-d15208e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hauskometkuratorheader): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.13
Context: *[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]/hl7:scopingOrganization[not(@nullFlavor)]/hl7:name
Item: (Hauskometkuratorheader)
-->

   <rule context="*[hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]]/hl7:participant[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.13']]/hl7:associatedEntity[hl7:scopingOrganization]/hl7:scopingOrganization[not(@nullFlavor)]/hl7:name"
         id="d20e4006-false-d15218e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.13-2018-11-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Hauskometkuratorheader): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
