<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.27.10.15
Name: Medikament (Hauskomet)
Description: Derzeit sind in Hauskomet ausschließlich Fertigarzneimittel vorgesehen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.27.10.15-2019-01-30T000000">
   <title>Medikament (Hauskomet)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.15
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]
Item: (MedicationInformationhauskomet)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.15
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]
Item: (MedicationInformationhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]"
         id="d20e4107-false-d15254e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.15-2019-01-30T000000.html"
              test="string(@classCode) = ('MANU')">(MedicationInformationhauskomet): Der Wert von classCode MUSS 'MANU' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.15-2019-01-30T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']) &gt;= 1">(MedicationInformationhauskomet): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.15-2019-01-30T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']) &lt;= 1">(MedicationInformationhauskomet): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.15-2019-01-30T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]) &gt;= 1">(MedicationInformationhauskomet): Element hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.15-2019-01-30T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]) &lt;= 1">(MedicationInformationhauskomet): Element hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.15
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']
Item: (MedicationInformationhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']"
         id="d20e4111-false-d15290e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.15-2019-01-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationInformationhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.15-2019-01-30T000000.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.27.10.15')">(MedicationInformationhauskomet): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.27.10.15' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]"
         id="d15291e83-false-d15306e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="string(@classCode) = ('MMAT')">(Materialhauskomet): Der Wert von classCode MUSS 'MMAT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="string(@determinerCode) = ('KIND')">(Materialhauskomet): Der Wert von determinerCode MUSS 'KIND' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]) &gt;= 1">(Materialhauskomet): Element hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]) &lt;= 1">(Materialhauskomet): Element hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(Materialhauskomet): Element hl7:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(Materialhauskomet): Element hl7:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(Materialhauskomet): Element pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]) &lt;= 1">(Materialhauskomet): Element pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:asSpecializedKind[@classCode = 'GRIC'][pharm:generalizedMaterialKind[@classCode = 'MMAT']]) &lt;= 1">(Materialhauskomet): Element pharm:asSpecializedKind[@classCode = 'GRIC'][pharm:generalizedMaterialKind[@classCode = 'MMAT']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]"
         id="d15291e89-false-d15365e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="@nullFlavor or (@codeSystem='1.2.276.0.76.4.6')">(Materialhauskomet): Der Elementinhalt MUSS einer von 'codeSystem '1.2.276.0.76.4.6'' sein.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="not(@nullFlavor) or @nullFlavor=('NI')">(Materialhauskomet): Der fehlende Wert '<value-of select="@nullFlavor"/>' für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set .</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@nullFlavor),'\s'))"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="not(@nullFlavor) or empty($theAttValue[not(. = (('NI')))])">(Materialhauskomet): Der Wert von nullFlavor MUSS 'Code NI' sein. Gefunden: "<value-of select="@nullFlavor"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:originalText) &lt;= 1">(Materialhauskomet): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]/hl7:originalText
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]/hl7:originalText"
         id="d15291e118-false-d15402e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(Materialhauskomet): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(Materialhauskomet): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]/hl7:originalText/hl7:reference[not(@nullFlavor)]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]/hl7:originalText/hl7:reference[not(@nullFlavor)]"
         id="d15291e120-false-d15421e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="@value">(Materialhauskomet): Attribut @value MUSS vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]/hl7:translation
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]/hl7:translation"
         id="d15291e130-false-d15435e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/hl7:name[not(@nullFlavor)]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/hl7:name[not(@nullFlavor)]"
         id="d15291e137-false-d15445e0">
      <extends rule="EN"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d15291e151-false-d15458e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.6.60.4.11.27-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Materialhauskomet): Der Elementinhalt MUSS einer von '2.16.840.1.113883.2.6.60.4.11.27 EDQMDoseForm (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:translation[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.454-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:formCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.6.60.4.11.27-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]/hl7:translation[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.454-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d15291e158-false-d15487e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.454-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Materialhauskomet): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.454 S_BMP_DARREICHUNGSFORM (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]"
         id="d15291e168-false-d15508e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="string(@classCode) = ('CONT')">(Materialhauskomet): Der Wert von classCode MUSS 'CONT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]) &gt;= 1">(Materialhauskomet): Element pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]) &lt;= 1">(Materialhauskomet): Element pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]/pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]/pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]"
         id="d15291e175-false-d15530e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="string(@classCode) = ('CONT')">(Materialhauskomet): Der Wert von classCode MUSS 'CONT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="string(@determinerCode) = ('INSTANCE')">(Materialhauskomet): Der Wert von determinerCode MUSS 'INSTANCE' sein. Gefunden: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:code[@codeSystem = '1.2.276.0.76.4.6']) &gt;= 1">(Materialhauskomet): Element pharm:code[@codeSystem = '1.2.276.0.76.4.6'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:code[@codeSystem = '1.2.276.0.76.4.6']) &lt;= 1">(Materialhauskomet): Element pharm:code[@codeSystem = '1.2.276.0.76.4.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:name[not(@nullFlavor)]) &gt;= 1">(Materialhauskomet): Element pharm:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:name[not(@nullFlavor)]) &lt;= 1">(Materialhauskomet): Element pharm:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:formCode) &lt;= 1">(Materialhauskomet): Element pharm:formCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:capacityQuantity[not(@nullFlavor)]) &gt;= 1">(Materialhauskomet): Element pharm:capacityQuantity[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:capacityQuantity[not(@nullFlavor)]) &lt;= 1">(Materialhauskomet): Element pharm:capacityQuantity[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]/pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]/pharm:code[@codeSystem = '1.2.276.0.76.4.6']
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]/pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]/pharm:code[@codeSystem = '1.2.276.0.76.4.6']"
         id="d15291e181-false-d15578e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="@nullFlavor or (@codeSystem='1.2.276.0.76.4.6')">(Materialhauskomet): Der Elementinhalt MUSS einer von 'codeSystem '1.2.276.0.76.4.6'' sein.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:originalText) &lt;= 1">(Materialhauskomet): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]/pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]/pharm:code[@codeSystem = '1.2.276.0.76.4.6']/hl7:originalText
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]/pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]/pharm:code[@codeSystem = '1.2.276.0.76.4.6']/hl7:originalText"
         id="d15291e188-false-d15597e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]/pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]/pharm:name[not(@nullFlavor)]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]/pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]/pharm:name[not(@nullFlavor)]"
         id="d15291e191-false-d15607e0">
      <extends rule="EN"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]/pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]/pharm:formCode
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]/pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]/pharm:formCode"
         id="d15291e193-false-d15617e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]/pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]/pharm:capacityQuantity[not(@nullFlavor)]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asContent[pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]]/pharm:containerPackagedProduct[pharm:code[@codeSystem = '1.2.276.0.76.4.6']]/pharm:capacityQuantity[not(@nullFlavor)]"
         id="d15291e200-false-d15627e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Materialhauskomet): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Materialhauskomet): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asSpecializedKind[@classCode = 'GRIC'][pharm:generalizedMaterialKind[@classCode = 'MMAT']]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asSpecializedKind[@classCode = 'GRIC'][pharm:generalizedMaterialKind[@classCode = 'MMAT']]"
         id="d15291e204-false-d15642e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="string(@classCode) = ('GRIC')">(Materialhauskomet): Der Wert von classCode MUSS 'GRIC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:generalizedMaterialKind[not(@nullFlavor)][@classCode = 'MMAT']) &gt;= 1">(Materialhauskomet): Element pharm:generalizedMaterialKind[not(@nullFlavor)][@classCode = 'MMAT'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:generalizedMaterialKind[not(@nullFlavor)][@classCode = 'MMAT']) &lt;= 1">(Materialhauskomet): Element pharm:generalizedMaterialKind[not(@nullFlavor)][@classCode = 'MMAT'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asSpecializedKind[@classCode = 'GRIC'][pharm:generalizedMaterialKind[@classCode = 'MMAT']]/pharm:generalizedMaterialKind[not(@nullFlavor)][@classCode = 'MMAT']
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asSpecializedKind[@classCode = 'GRIC'][pharm:generalizedMaterialKind[@classCode = 'MMAT']]/pharm:generalizedMaterialKind[not(@nullFlavor)][@classCode = 'MMAT']"
         id="d15291e224-false-d15662e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="string(@classCode) = ('MMAT')">(Materialhauskomet): Der Wert von classCode MUSS 'MMAT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:code) &gt;= 1">(Materialhauskomet): Element hl7:code ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:code) &lt;= 1">(Materialhauskomet): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:name) &lt;= 1">(Materialhauskomet): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asSpecializedKind[@classCode = 'GRIC'][pharm:generalizedMaterialKind[@classCode = 'MMAT']]/pharm:generalizedMaterialKind[not(@nullFlavor)][@classCode = 'MMAT']/hl7:code
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asSpecializedKind[@classCode = 'GRIC'][pharm:generalizedMaterialKind[@classCode = 'MMAT']]/pharm:generalizedMaterialKind[not(@nullFlavor)][@classCode = 'MMAT']/hl7:code"
         id="d15291e228-false-d15688e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asSpecializedKind[@classCode = 'GRIC'][pharm:generalizedMaterialKind[@classCode = 'MMAT']]/pharm:generalizedMaterialKind[not(@nullFlavor)][@classCode = 'MMAT']/hl7:name
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:asSpecializedKind[@classCode = 'GRIC'][pharm:generalizedMaterialKind[@classCode = 'MMAT']]/pharm:generalizedMaterialKind[not(@nullFlavor)][@classCode = 'MMAT']/hl7:name"
         id="d15291e234-false-d15698e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']"
         id="d15291e238-false-d15708e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="string(@classCode) = ('ACTI')">(Materialhauskomet): Der Wert von classCode MUSS 'ACTI' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:quantity) &lt;= 1">(Materialhauskomet): Element pharm:quantity kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:ingredientSubstance[pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]]) &lt;= 1">(Materialhauskomet): Element pharm:ingredientSubstance[pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:quantity
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:quantity"
         id="d15291e245-false-d15733e0">
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Materialhauskomet): value/low @value ist keine gültige PQ Zahl<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Materialhauskomet): value/high @value ist keine gültige PQ Zahl<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Materialhauskomet): value/center @value ist keine gültige PQ Zahl<value-of select="hl7:center/@value"/>
      </assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:numerator) &gt;= 1">(Materialhauskomet): Element hl7:numerator ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:numerator) &lt;= 1">(Materialhauskomet): Element hl7:numerator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:denominator) &gt;= 1">(Materialhauskomet): Element hl7:denominator ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:denominator) &lt;= 1">(Materialhauskomet): Element hl7:denominator kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:quantity/hl7:numerator
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:quantity/hl7:numerator"
         id="d15291e267-false-d15766e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Materialhauskomet): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Materialhauskomet): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:quantity/hl7:numerator/hl7:translation[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.455-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:quantity/hl7:numerator/hl7:translation[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.455-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d15291e277-false-d15790e0">
      <extends rule="PQR"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQR" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.455-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Materialhauskomet): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.455 S_BMP_DOSIEREINHEIT (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:quantity/hl7:denominator
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:quantity/hl7:denominator"
         id="d15291e286-false-d15810e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Materialhauskomet): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Materialhauskomet): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:ingredientSubstance[pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:ingredientSubstance[pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]]"
         id="d15291e289-false-d15826e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]) &gt;= 1">(Materialhauskomet): Element pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]) &lt;= 1">(Materialhauskomet): Element pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:name[not(@nullFlavor)]) &gt;= 1">(Materialhauskomet): Element pharm:name[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(pharm:name[not(@nullFlavor)]) &lt;= 1">(Materialhauskomet): Element pharm:name[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:ingredientSubstance[pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]]/pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:ingredientSubstance[pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]]/pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]"
         id="d15291e294-false-d15852e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.73') or (@codeSystem='0.4.0.127.0.16.1.1.2.1')">(Materialhauskomet): Der Elementinhalt MUSS einer von 'codeSystem '2.16.840.1.113883.6.73' oder codeSystem '0.4.0.127.0.16.1.1.2.1'' sein.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="count(hl7:originalText) &lt;= 1">(Materialhauskomet): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:ingredientSubstance[pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]]/pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]/hl7:originalText
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:ingredientSubstance[pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]]/pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]/hl7:originalText"
         id="d15291e300-false-d15879e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:ingredientSubstance[pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]]/pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]/hl7:translation
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:ingredientSubstance[pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]]/pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]/hl7:translation"
         id="d15291e302-false-d15889e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.16
Context: *[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:ingredientSubstance[pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]]/pharm:name[not(@nullFlavor)]
Item: (Materialhauskomet)
-->

   <rule context="*[hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]]/hl7:manufacturedProduct[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.15']]/hl7:manufacturedMaterial[hl7:code[@codeSystem = '1.2.276.0.76.4.6' or @nullFlavor]]/pharm:ingredient[@classCode = 'ACTI']/pharm:ingredientSubstance[pharm:code[@codeSystem = '2.16.840.1.113883.6.73' or @codeSystem = '0.4.0.127.0.16.1.1.2.1' or @nullFlavor]]/pharm:name[not(@nullFlavor)]"
         id="d15291e305-false-d15899e0">
      <extends rule="EN"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.16-2019-01-30T114939.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Materialhauskomet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EN" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
