<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.27.10.5
Name: Aktuelle Medikation
Description: Aktuelle Medikation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000">
   <title>Aktuelle Medikation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]
Item: (Medicationcurrent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]
Item: (Medicationcurrent)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]"
         id="d20e4974-false-d17197e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Medicationcurrent): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Medicationcurrent): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5']) &gt;= 1">(Medicationcurrent): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5']) &lt;= 1">(Medicationcurrent): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3041']) &gt;= 1">(Medicationcurrent): Element hl7:templateId[@root = '1.2.276.0.76.10.3041'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3041']) &lt;= 1">(Medicationcurrent): Element hl7:templateId[@root = '1.2.276.0.76.10.3041'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="count(hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Medicationcurrent): Element hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="count(hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Medicationcurrent): Element hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(Medicationcurrent): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(Medicationcurrent): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(Medicationcurrent): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(Medicationcurrent): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:entry[hl7:substanceAdministration/hl7:templateId/@root='2.16.840.1.113883.3.1937.777.27.10.6'] | hl7:entry[hl7:substanceAdministration/hl7:templateId/@root='1.2.276.0.76.10.4295'])"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="$elmcount &gt;= 1">(Medicationcurrent): Auswahl (hl7:entry[hl7:substanceAdministration/hl7:templateId/@root='2.16.840.1.113883.3.1937.777.27.10.6']  oder  hl7:entry[hl7:substanceAdministration/hl7:templateId/@root='1.2.276.0.76.10.4295']) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="count(hl7:entry[hl7:substanceAdministration/hl7:templateId/@root='1.2.276.0.76.10.4295']) &lt;= 1">(Medicationcurrent): Element hl7:entry[hl7:substanceAdministration/hl7:templateId/@root='1.2.276.0.76.10.4295'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5']
Item: (Medicationcurrent)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5']"
         id="d20e4980-false-d17268e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medicationcurrent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.27.10.5')">(Medicationcurrent): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.27.10.5' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:templateId[@root = '1.2.276.0.76.10.3041']
Item: (Medicationcurrent)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:templateId[@root = '1.2.276.0.76.10.3041']"
         id="d20e4985-false-d17283e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medicationcurrent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="string(@root) = ('1.2.276.0.76.10.3041')">(Medicationcurrent): Der Wert von root MUSS '1.2.276.0.76.10.3041' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Medicationcurrent)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:code[(@code = '19009-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e4990-false-d17298e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medicationcurrent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="@nullFlavor or (@code='19009-0' and @codeSystem='2.16.840.1.113883.6.1')">(Medicationcurrent): Der Elementinhalt MUSS einer von 'code '19009-0' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:title[not(@nullFlavor)]
Item: (Medicationcurrent)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:title[not(@nullFlavor)]"
         id="d20e4996-false-d17314e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medicationcurrent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="text()='Medikationsplan'">(Medicationcurrent): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Medikationsplan'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:text[not(@nullFlavor)]
Item: (Medicationcurrent)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:text[not(@nullFlavor)]"
         id="d20e5002-false-d17328e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Medicationcurrent): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:entry[hl7:substanceAdministration/hl7:templateId/@root='2.16.840.1.113883.3.1937.777.27.10.6']
Item: (Medicationcurrent)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:entry[hl7:substanceAdministration/hl7:templateId/@root='2.16.840.1.113883.3.1937.777.27.10.6']">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="string(@typeCode) = ('DRIV')">(Medicationcurrent): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.5
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:entry[hl7:substanceAdministration/hl7:templateId/@root='1.2.276.0.76.10.4295']
Item: (Medicationcurrent)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.5'] and hl7:templateId[@root = '1.2.276.0.76.10.3041']]/hl7:entry[hl7:substanceAdministration/hl7:templateId/@root='1.2.276.0.76.10.4295']">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.5-2018-09-07T000000.html"
              test="string(@typeCode) = ('DRIV')">(Medicationcurrent): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
