<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.27.10.7
Name: Sozialanamnese
Description: Die Section Sozialanamnese enthält eine Beschreibung der gesundheitsbezogenen "Lifestyle-Faktoren" oder "Lebensstil-Beobachtungen" der Person (z. B. Rauchgewohnheiten, Alkoholkonsum, Betreiben von Leistungssport).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000">
   <title>Sozialanamnese</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]
Item: (SozialanamneseSection)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]
Item: (SozialanamneseSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]"
         id="d20e5728-false-d18889e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(SozialanamneseSection): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']) &gt;= 1">(SozialanamneseSection): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']) &lt;= 1">(SozialanamneseSection): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="count(hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(SozialanamneseSection): Element hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="count(hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(SozialanamneseSection): Element hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(SozialanamneseSection): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(SozialanamneseSection): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(SozialanamneseSection): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(SozialanamneseSection): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.11']]]) &lt;= 1">(SozialanamneseSection): Element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.11']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.10']]]) &lt;= 1">(SozialanamneseSection): Element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.10']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.4']]]) &lt;= 1">(SozialanamneseSection): Element hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.4']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']
Item: (SozialanamneseSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']"
         id="d20e5732-false-d18966e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SozialanamneseSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.27.10.7')">(SozialanamneseSection): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.27.10.7' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:id
Item: (SozialanamneseSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:id"
         id="d20e5737-false-d18980e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SozialanamneseSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (SozialanamneseSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:code[(@code = '29762-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e5739-false-d18991e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SozialanamneseSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="@nullFlavor or (@code='29762-2' and @codeSystem='2.16.840.1.113883.6.1')">(SozialanamneseSection): Der Elementinhalt MUSS einer von 'code '29762-2' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:title[not(@nullFlavor)]
Item: (SozialanamneseSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:title[not(@nullFlavor)]"
         id="d20e5744-false-d19007e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SozialanamneseSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:text[not(@nullFlavor)]
Item: (SozialanamneseSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:text[not(@nullFlavor)]"
         id="d20e5751-false-d19017e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SozialanamneseSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.11']]]
Item: (SozialanamneseSection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.11']]]">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="@typeCode">(SozialanamneseSection): Attribut @typeCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19446-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(SozialanamneseSection): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19446' x_ActRelationshipEntry (DYNAMIC).</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(SozialanamneseSection): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.10']]]
Item: (SozialanamneseSection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.10']]]">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="@typeCode">(SozialanamneseSection): Attribut @typeCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19446-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(SozialanamneseSection): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19446' x_ActRelationshipEntry (DYNAMIC).</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(SozialanamneseSection): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.27.10.7
Context: *[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.4']]]
Item: (SozialanamneseSection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.27.10.4']]]">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="@typeCode">(SozialanamneseSection): Attribut @typeCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19446-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(SozialanamneseSection): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19446' x_ActRelationshipEntry (DYNAMIC).</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-2.16.840.1.113883.3.1937.777.27.10.7-2018-09-07T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(SozialanamneseSection): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
