<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4018
Name: Allergien
Description: Allergie, nur Freitext
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4018-2016-01-31T000000">
   <title>Allergien</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]
Item: (Allergytosubstance)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]
Item: (Allergytosubstance)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]"
         id="d20e863-false-d1772e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="string(@classCode) = ('OBS')">(Allergytosubstance): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="string(@moodCode) = ('EVN')">(Allergytosubstance): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4018']) &gt;= 1">(Allergytosubstance): Element hl7:templateId[@root = '1.2.276.0.76.10.4018'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4018']) &lt;= 1">(Allergytosubstance): Element hl7:templateId[@root = '1.2.276.0.76.10.4018'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:code[(@code = 'ALG' and @codeSystem = '2.16.840.1.113883.5.4')]) &gt;= 1">(Allergytosubstance): Element hl7:code[(@code = 'ALG' and @codeSystem = '2.16.840.1.113883.5.4')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:code[(@code = 'ALG' and @codeSystem = '2.16.840.1.113883.5.4')]) &lt;= 1">(Allergytosubstance): Element hl7:code[(@code = 'ALG' and @codeSystem = '2.16.840.1.113883.5.4')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(Allergytosubstance): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(Allergytosubstance): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Allergytosubstance): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Allergytosubstance): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]/hl7:templateId[@root = '1.2.276.0.76.10.4018']
Item: (Allergytosubstance)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]/hl7:templateId[@root = '1.2.276.0.76.10.4018']"
         id="d20e869-false-d1828e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergytosubstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="string(@root) = ('1.2.276.0.76.10.4018')">(Allergytosubstance): Der Wert von root MUSS '1.2.276.0.76.10.4018' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]/hl7:id
Item: (Allergytosubstance)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]/hl7:id"
         id="d20e874-false-d1842e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergytosubstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]/hl7:code[(@code = 'ALG' and @codeSystem = '2.16.840.1.113883.5.4')]
Item: (Allergytosubstance)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]/hl7:code[(@code = 'ALG' and @codeSystem = '2.16.840.1.113883.5.4')]"
         id="d20e876-false-d1853e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergytosubstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="@nullFlavor or (@code='ALG' and @codeSystem='2.16.840.1.113883.5.4')">(Allergytosubstance): Der Elementinhalt MUSS einer von 'code 'ALG' codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]/hl7:text[not(@nullFlavor)]
Item: (Allergytosubstance)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]/hl7:text[not(@nullFlavor)]"
         id="d20e882-false-d1869e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergytosubstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(Allergytosubstance): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(Allergytosubstance): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (Allergytosubstance)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d20e887-false-d1888e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergytosubstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="string(@value) = ('#alg')">(Allergytosubstance): Der Wert von value MUSS '#alg' sein. Gefunden: "<value-of select="@value"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4018
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]/hl7:statusCode[@code = 'completed']
Item: (Allergytosubstance)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4018']]/hl7:statusCode[@code = 'completed']"
         id="d20e893-false-d1903e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Allergytosubstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4018-2016-01-31T000000.html"
              test="@nullFlavor or (@code='completed')">(Allergytosubstance): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
</pattern>
