<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4019
Name: Unverträglichkeiten
Description: Unverträglichkeiten, nur Freitext
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4019-2016-01-31T000000">
   <title>Unverträglichkeiten</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]
Item: (Propensitytoadversereactions)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]
Item: (Propensitytoadversereactions)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]"
         id="d20e930-false-d1938e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="string(@classCode) = ('OBS')">(Propensitytoadversereactions): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="string(@moodCode) = ('EVN')">(Propensitytoadversereactions): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4019']) &gt;= 1">(Propensitytoadversereactions): Element hl7:templateId[@root = '1.2.276.0.76.10.4019'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4019']) &lt;= 1">(Propensitytoadversereactions): Element hl7:templateId[@root = '1.2.276.0.76.10.4019'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="count(hl7:code[(@code = 'OINT' and @codeSystem = '2.16.840.1.113883.5.4')]) &gt;= 1">(Propensitytoadversereactions): Element hl7:code[(@code = 'OINT' and @codeSystem = '2.16.840.1.113883.5.4')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="count(hl7:code[(@code = 'OINT' and @codeSystem = '2.16.840.1.113883.5.4')]) &lt;= 1">(Propensitytoadversereactions): Element hl7:code[(@code = 'OINT' and @codeSystem = '2.16.840.1.113883.5.4')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(Propensitytoadversereactions): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(Propensitytoadversereactions): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(Propensitytoadversereactions): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(Propensitytoadversereactions): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]/hl7:templateId[@root = '1.2.276.0.76.10.4019']
Item: (Propensitytoadversereactions)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]/hl7:templateId[@root = '1.2.276.0.76.10.4019']"
         id="d20e936-false-d1994e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Propensitytoadversereactions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="string(@root) = ('1.2.276.0.76.10.4019')">(Propensitytoadversereactions): Der Wert von root MUSS '1.2.276.0.76.10.4019' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]/hl7:id
Item: (Propensitytoadversereactions)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]/hl7:id"
         id="d20e941-false-d2008e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Propensitytoadversereactions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]/hl7:code[(@code = 'OINT' and @codeSystem = '2.16.840.1.113883.5.4')]
Item: (Propensitytoadversereactions)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]/hl7:code[(@code = 'OINT' and @codeSystem = '2.16.840.1.113883.5.4')]"
         id="d20e943-false-d2019e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Propensitytoadversereactions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="@nullFlavor or (@code='OINT' and @codeSystem='2.16.840.1.113883.5.4')">(Propensitytoadversereactions): Der Elementinhalt MUSS einer von 'code 'OINT' codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]/hl7:text[not(@nullFlavor)]
Item: (Propensitytoadversereactions)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]/hl7:text[not(@nullFlavor)]"
         id="d20e949-false-d2035e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Propensitytoadversereactions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(Propensitytoadversereactions): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(Propensitytoadversereactions): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (Propensitytoadversereactions)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d20e954-false-d2054e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Propensitytoadversereactions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="string(@value) = ('#int')">(Propensitytoadversereactions): Der Wert von value MUSS '#int' sein. Gefunden: "<value-of select="@value"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4019
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]/hl7:statusCode[@code = 'completed']
Item: (Propensitytoadversereactions)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4019']]/hl7:statusCode[@code = 'completed']"
         id="d20e960-false-d2069e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Propensitytoadversereactions): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4019-2016-01-31T000000.html"
              test="@nullFlavor or (@code='completed')">(Propensitytoadversereactions): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
</pattern>
