<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4262
Name: Körpergröße
Description: Körpergröße
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4262-2017-08-01T000000">
   <title>Körpergröße</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4262
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]
Item: (BodyHeight)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4262
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]
Item: (BodyHeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]"
         id="d20e2395-false-d5846e0">
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="string(@classCode) = ('OBS')">(BodyHeight): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="string(@moodCode) = ('EVN')">(BodyHeight): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4262']) &gt;= 1">(BodyHeight): Element hl7:templateId[@root = '1.2.276.0.76.10.4262'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4262']) &lt;= 1">(BodyHeight): Element hl7:templateId[@root = '1.2.276.0.76.10.4262'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="count(hl7:code[(@code = '8302-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(BodyHeight): Element hl7:code[(@code = '8302-2' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="count(hl7:code[(@code = '8302-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(BodyHeight): Element hl7:code[(@code = '8302-2' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="count(hl7:text) &lt;= 1">(BodyHeight): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(BodyHeight): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(BodyHeight): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(BodyHeight): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="count(hl7:value) &gt;= 1">(BodyHeight): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="count(hl7:value) &lt;= 1">(BodyHeight): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4262
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:templateId[@root = '1.2.276.0.76.10.4262']
Item: (BodyHeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:templateId[@root = '1.2.276.0.76.10.4262']"
         id="d20e2401-false-d5914e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyHeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="string(@root) = ('1.2.276.0.76.10.4262')">(BodyHeight): Der Wert von root MUSS '1.2.276.0.76.10.4262' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4262
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:id
Item: (BodyHeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:id"
         id="d20e2406-false-d5928e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyHeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4262
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:code[(@code = '8302-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (BodyHeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:code[(@code = '8302-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e2408-false-d5939e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyHeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="@nullFlavor or (@code='8302-2' and @codeSystem='2.16.840.1.113883.6.1')">(BodyHeight): Der Elementinhalt MUSS einer von 'code '8302-2' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4262
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:text
Item: (BodyHeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:text"
         id="d20e2414-false-d5955e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyHeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="count(hl7:reference) &gt;= 1">(BodyHeight): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="count(hl7:reference) &lt;= 1">(BodyHeight): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4262
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:text/hl7:reference
Item: (BodyHeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:text/hl7:reference"
         id="d20e2419-false-d5974e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='URL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyHeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4262
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:statusCode[@code = 'completed']
Item: (BodyHeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:statusCode[@code = 'completed']"
         id="d20e2422-false-d5985e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyHeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="@nullFlavor or (@code='completed')">(BodyHeight): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4262
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:effectiveTime
Item: (BodyHeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:effectiveTime"
         id="d20e2427-false-d6001e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyHeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="not(*)">(BodyHeight): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4262
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:value
Item: (BodyHeight)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4262']]/hl7:value"
         id="d20e2429-false-d6014e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BodyHeight): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="(@nullFlavor or (@unit='cm'))">(BodyHeight): value MUSS die Einheit 'cm' nutzen </assert>
      <assert role="error"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(BodyHeight): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://pub.art-decor.org/hauskomet/hauskomet-html-20190416T214101/tmp-1.2.276.0.76.10.4262-2017-08-01T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(BodyHeight): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
